Bug 6650 - Install the compiler driver under links such as gcc-3.0.1
Summary: Install the compiler driver under links such as gcc-3.0.1
Status: NEW
Alias: None
Product: gcc
Classification: Unclassified
Component: bootstrap (show other bugs)
Version: 3.2
: P3 enhancement
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-13 12:16 UTC by Joseph S. Myers
Modified: 2006-10-16 22:18 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-01-21 03:07:17


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Myers 2002-05-13 12:16:00 UTC
Since -V has been removed, we should install the compiler driver under links with names such as gcc-3.0.1.

Release:
GCC 3.2

Environment:
Any.
Comment 1 Wolfgang Bangerth 2002-12-21 09:37:08 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Still basically applies. Something has been done, as this
    is my present gcc-bin directory:
    c++
    cpp
    g++
    gcc
    gccbug
    gcov
    i686-pc-linux-gnu-c++
    i686-pc-linux-gnu-g++
    i686-pc-linux-gnu-gcc
    i686-pc-linux-gnu-gcc-3.4
    
    But this is not very consistent.
Comment 2 Andrew Pinski 2003-05-28 01:22:46 UTC
-V is been added back.
Comment 3 Elden Crom 2006-10-16 22:18:14 UTC
Compiling/Installation 4.1.1 is really easy, but answering the question 'Does it compile my stuff?' prior to really installing for everybody is a little difficult...

It would be nice if (when lean isn't set) for 'make bootstrap' or 'make DESTDIR=path-to-rootdir install' to create either 
a) chroot jail for testing 
--or--
b) a script that could be sourced to set all relevent environment varables (e.g. PATH, LD_PATH?) to point at the new compiler, and libraries.
(If this already exists, it should be documented in INSTALL/finalinstall.html and/or INSTALL/build.html) 
I think b) would be better....no super user required to test stuff out.....

(a grain of salt is required, my status for modern gcc is newbii.....)